version: '2'

volumes:
  phpipam-hmg_data:
    driver_opts:
      onRemove: retain
    driver: rancher-nfs

services:

  db:
    image: aureliopenha/phpipam_dbhmg:1.3
    container_name: phpipam_db
    dns: ${DNS}
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    environment:
      - MYSQL_DATABASE=phpipam
      - MYSQL_ROOT_PASSWORD=${db_password}
      - PHPIPAM_DATABASE_USER=root
      - PHPIPAM_DATABASE_PASSWORD=${db_password}
      - PHPIPAM_HOST_URL=http://${domain_app}:${http_port}
    restart: always
    volumes:
      - phpipam-hmg_data:/var/lib/mysql



  phpipam:
    image: aureliopenha/phpipam_apphmg:1.3
    labels:
      io.rancher.scheduler.affinity:host_label: app=true
    container_name: phpipam_app
    dns: ${DNS}
    restart: always
    environment:
      - PHPIPAM_DB_HOST=db:3306
      - PHPIPAM_DB_USER=phpipam
      - PHPIPAM_DB_PASSWORD=${db_password}
    links:
      - db
